<?php

namespace App;

use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    /**
     * Get the access tokens of the user.
     */
    public function accessTokens() {
        return $this->hasMany("App\UserAccessToken");
    }

    /**
     * Get all configured twitch webhooks
     */
    public function twitchWebhooks() {
        return $this->hasMany("App\TwitchWebhook");
    }
}
